/************************
 * DARK MODE *
 ***********************/
@media (prefers-color-scheme: dark) {


    .inputdisabled {
        color: #2e3842 !important;
        background-color: #3d4650 !important;
    }

    .category-row td a {
        color: #fff;
    }

    .category-row td a {
        color: #eee;
    }

    .hidden-input:focus {
        color: white !important; /* Viser teksten, når feltet er i fokus */
    }

    .joblistitem {
        border: 1px solid #333;
        background-color: #444;
    }

    .joblistitemhuge {
        border: 1px solid #333;
        background-color: #444;
    }

    .dygraph-legend {
        background-color: #21262b;
        color: #d7deea;
    }

    .moveinfoheader {
        color: white;
        background: none !important;
        background-color: #21262b !important;
    }

    .horizon:hover {
        background-color: #555;
    }

    .moveinfo {
        background: none !important;
        background-color: #484 !important;
    }

    #address_container legend {
        background-color: #21262b;
        color: #d7deea;
    }

    .piinspectobject {
        background-color: #3d4650;
        border: 1px solid #21262b;
    }

    .terminal {
        background-color: #252525;
        border: 2px solid #3d4650;
        color: #c7c7c7;
    }

    .dimmedtd td {
        color: #ccc;
    }

    :root {
        color-scheme: dark;
        --table-border-color: #3d4650;
    }

    .billingblockactive {
        background-color: #888 !important;
        color: #fff !important;
    }

    .billingblock {
        background-color: #555;
        color: #aaa;
    }

    /* Dark theme styles go here */
    body {
        background-color: #21262b;
        color: #d7deea;
    }

    .btnfactory {
        color: #e66;
    }

    .btnreprov {
        color: #6b6;
    }

    .btnreboot {
        color: #c66;
    }

    .modemleasenone td {
        background-color: none;
    }

    .modemleaseok td {
        background-color: #484;
    }

    .modemleaseerror td {
        background-color: #844;
    }

    A:visited, A:link {
        color: #cf92c9;
    }

    ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
        color: #888;
        opacity: 1; /* Firefox */
    }

    .resultlist {
        background-color: #3d4650;
    }

    @media (max-width: 480px) {
        .resultlist {
            width: 85vw !important;
        }

        .faitem {
            width: 85vw
        }

        .faitemselected {
            width: 85vw
        }

        .dialogwindow:has(>.resultlist) {
            position: fixed !important;
            width: 85vw !important;
            right: 5px;
        }
    }

    #footerlogo span {
        color: #d7deea;
    }

    #subnavcontainer ul li a {
        color: #fff;
    }

    #ph1 {
        color: #d7deea;
    }

    #ph2 {
        color: #d7deea;
    }

    #navbar {
        background-color: #4d565f;
    }

    #navcontainer ul li a {
        background-color: #4d565f;
        color: #d7deea;
    }

    #navcontainer ul li.selected a {
        background-color: #2e3842;
        color: #fff;
    }

    #navcontainer ul li.selected a:hover {
        background-color: #2e3842;
        color: #fff;
    }

    #navcontainer ul li a:hover {
        background-color: #3d4650;
        color: #fff;
    }

    #searchtools ul li input {
        color: #d7deea;
    }

    .searchnotfound {
        color: white !important;
        background-color: #922 !important;
    }


    #pantherlogobottom {
        content: url("/img/pantheradmin_dark1x.png");
    }

    #pantherlogobottom_xmas {
        content: url("/img/pantheradmin_dark_xmas.png");
    }

    #pcontent {
        background-color: #2e3842;
    }

    h3 {
        color: white;
    }

    input[type=text], select {
        margin: 0;
        background-color: #4d565f;
        color: #d7deea;
        border: 1px solid #4d565f;
        padding: 1px 0px 1px 1px;
        margin: 0px 1px 1px 0px;
        -webkit-box-shadow: inset 0 1px 1px #000, 0 1px 0 0 #a5a5a5;
        box-shadow: inset 0 1px 1px #222, 0 1px 0 0 #888;
    }

    input[type=radio] {
        width: 1.1em;
        margin-left: 5;
        margin-right: 5;
    }

    textarea {
        background-color: #4d565f;
        color: #d7deea;
        border: 1px solid #4d565f;
        font-size: 12px;
        padding: 1px 0px 1px 1px;
        margin: 1px 1px 1px 0px;
        -webkit-box-shadow: inset 0 1px 1px #000, 0 1px 0 0 #a5a5a5;
        box-shadow: inset 0 1px 1px #222, 0 1px 0 0 #888;
    }

    textarea:focus, input:focus, select:focus {
        outline: none;
        background-color: #586069;
        box-shadow: 0 0;
    }

    input[type=text]:focus, textarea:focus {
        box-shadow: 0 0 1px rgba(81, 203, 238, 1);
        padding: 1px 0px 1px 1px;
        margin: 1px 1px 1px 0px;
        border: 1px solid rgba(81, 203, 238, 1);
    }


    select {
        border: 1px solid #233;
    }

    button, input[type=submit], input[type=reset], input[type=button] {
        border: 1px solid #233;
        background: #4d565f;
        background: -webkit-gradient(linear, left top, left bottom, from(#3d4650), to(#4d565f)); /*  WebKit */
        border-color: #4d565f #4d565f #4d565f;
        color: #d7deea;
        text-shadow: 0 1px 0 #4d565f;
        -webkit-box-shadow: 0 1px 1px #3d4650, inset 0 1px 0 #4d565f;
        margin: 2 2 2 2;
    }

    button:hover, input[type=submit]:hover, input[type=reset]:hover, input[type=button]:hover {
        border: 1px solid #233;
        background: #4d565f;
        background: -webkit-gradient(linear, left top, left bottom, from(#4d5660), to(#5d666f)); /*  WebKit */
        border-color: #4d565f #4d565f #4d565f;
        color: #fff;
        text-shadow: 0 1px 0 #4d565f;
        -webkit-box-shadow: 0 1px 1px #3d4650, inset 0 1px 0 #4d565f;
    }

    .pa_kvset {
        border-color: #3d4650;
    }

    .pa_kvset A:visited, A:link {
        color: #d7deea;
    }

    .pa_kvset h3 {
        background-color: #21262b;
        color: #d7deea;
    }

    .pa_kvset h2 {
        color: #e7eefa;
    }

    .pa_kvset ul li:nth-child(even) {
        background-color: #4d565f;
        background-image: none;
    }


    .pa_kvset ul li:nth-child(odd) {
        background-color: #586069;
        background-image: none;
    }

    .pa_kvsetduo {
        border-color: #3d4650;
    }

    .pa_kvsetduo h3 {
        background-color: #21262b;
    }

    .pa_kvsetduo ul li {
        background-color: #4d565f;
        float: left;
    }

    .pa_kvsetduo ul li:nth-child(4n+3), .pa_kvsetduo ul li:nth-child(4n) {
        background-color: #4d565f;
    }

    #maintable tr {
        background-color: #586069;
    }

    #maintable .tre {
        background-color: #4d565f;
    }

    #maintable .treven {
        background-color: #4d565f;
    }

    #maintable A:visited, A:link {
        color: #e7eefa;
    }

    #maintable .trgrey td {
        background: #3d4650;
    }

    .maintable A:visited, A:link {
        color: #e7eefa;
    }

    .dhead A:visited, A:link {
        color: #e7eefa;
    }

    #maintable {
        border-color: #3d4650;
    }

    #maintable th {
        background-color: #21262b;
        color: #d7deea;
    }

    #maintable th td {
        background-color: #21262b;
        color: #d7deea;
    }

    .filters .icon {
        background-color: #4d565f;
        border-color: #6d767f;
        color: white;
    }

    .tablesorter_neutral {
        font-size: 12px;
        text-shadow: 0 0px 0 rgba(255, 255, 255, 0.7);
    }

    #innerpcontent {
        background-color: #2d363f;
        border: 1px solid #2d363f;
        padding: 0;
    }

    .radio-group {
        background-color: #888;
        border-color: #4d565f;
    }

    .radio-group label {
        color: #bbb;
        background-color: #4d565f;
    }

    .pgraphboxouter {
        border: 1px solid #11161b;
        background-color: #21262b;
    }


    .pgraphbox {
        background-color: #21262b;
        color: #d7deea;
    }


    /* y2-axis label: */
    .dygraph-label, .dygraph-y2label {
        color: #d7deea;
    }

    /* y2-axis label */
    .dygraph-axis-label, .dygraph-axis-label-y, .dygraph-axis-label-y2 {
        color: #d7deea;
    }


    #maintable .sel {
        color: white !important;
        background-color: #354245;
    }

    .maintable .sel td {
        background-color: #484848;
    }

    .maintable .selfi td {
        background-color: #484848;
        font-style: italic;
        color: #555;
    }

    .maintable .treven {
        background-color: #4d565f;
    }

    .maintable .trodd {
        background-color: #586069;
    }

    #maintable .trwarn {
        background-color: #483a3d;
    }

    #maintable .treven {
        background-color: #4d565f;
    }

    .maintable th {
        background-color: #21262b;
        color: #d7deea;
    }

    .maintable tr {
        background-image: none;
    }

    .maintable {
        border-color: #3d4650;
        background-color: #586069;
    }

    .maintable th td {
        color: #d7deea;
    }

    .btnselected {
        background: #4d565f;
        background: -webkit-gradient(linear, left top, left bottom, from(#21262b), to(#3d4650)); /*  WebKit */
        border-color: #4d565f #4d565f #4d565f;
        text-shadow: 0 0px 0 #4d565f;
        -webkit-box-shadow: 0 1px 1px #4d565f, inset 0 1px 0 #4d565f;
        -moz-box-shadow: 0 1px 1px #4d565f, inset 0 1px 0 #4d565f;
        box-shadow: 0 1px 1px #4d565f, inset 0 1px 0 #4d565f;
        color: #fff;
    }

    .tablesorter_asc {
        background: #21262b no-repeat center right !important;
        background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAQAAAD8fJRsAAAACXBIWXMAAAsTAAALEwEAmpwYAAADGGlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjaY2BgnuDo4uTKJMDAUFBUUuQe5BgZERmlwH6egY2BmYGBgYGBITG5uMAxIMCHgYGBIS8/L5UBFTAyMHy7xsDIwMDAcFnX0cXJlYE0wJpcUFTCwMBwgIGBwSgltTiZgYHhCwMDQ3p5SUEJAwNjDAMDg0hSdkEJAwNjAQMDg0h2SJAzAwNjCwMDE09JakUJAwMDg3N+QWVRZnpGiYKhpaWlgmNKflKqQnBlcUlqbrGCZ15yflFBflFiSWoKAwMD1A4GBgYGXpf8EgX3xMw8BSMDVQYqg4jIKAUICxE+CDEESC4tKoMHJQODAIMCgwGDA0MAQyJDPcMChqMMbxjFGV0YSxlXMN5jEmMKYprAdIFZmDmSeSHzGxZLlg6WW6x6rK2s99gs2aaxfWMPZ9/NocTRxfGFM5HzApcj1xZuTe4FPFI8U3mFeCfxCfNN45fhXyygI7BD0FXwilCq0A/hXhEVkb2i4aJfxCaJG4lfkaiQlJM8JpUvLS19QqZMVl32llyfvIv8H4WtioVKekpvldeqFKiaqP5UO6jepRGqqaT5QeuA9iSdVF0rPUG9V/pHDBYY1hrFGNuayJsym740u2C+02KJ5QSrOutcmzjbQDtXe2sHY0cdJzVnJRcFV3k3BXdlD3VPXS8Tbxsfd99gvwT//ID6wIlBS4N3hVwMfRnOFCEXaRUVEV0RMzN2T9yDBLZE3aSw5IaUNak30zkyLDIzs+ZmX8xlz7PPryjYVPiuWLskq3RV2ZsK/cqSql01jLVedVPrHzbqNdU0n22VaytsP9op3VXUfbpXta+x/+5Em0mzJ/+dGj/t8AyNmf2zvs9JmHt6vvmCpYtEFrcu+bYsc/m9lSGrTq9xWbtvveWGbZtMNm/ZarJt+w6rnft3u+45uy9s/4ODOYd+Hmk/Jn58xUnrU+fOJJ/9dX7SRe1LR68kXv13fc5Nm1t379TfU75/4mHeY7En+59lvhB5efB1/lv5dxc+NH0y/fzq64Lv4T8Ffp360/rP8f9/AA0ADzT6lvFdAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAAl0lEQVR42kyPOw7CQAxE36xyFAp6Kio6IjgTJXeCSEhUaRA0VPxukt0diixh3Xns8RtrBxj4eCYA2AMQjIG3Mw9TVaDIicTdqgcvJyKJSOQyuZqnM4lMJmISvRFAM5cBYUQNCWPzl3+UcPPVlMji5GOxhYUGeo+bnROtplRLRc6GzpFW0ykBKw0cnNmKKUCBr5XYqP78OwDs1kZh6KqWmwAAAABJRU5ErkJggg==') !important;
        padding-right: 16px !important;
    }

    .tablesorter_desc {
        background: #21262b no-repeat center right !important;
        background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAQAAAD8fJRsAAAACXBIWXMAAAsTAAALEwEAmpwYAAADGGlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjaY2BgnuDo4uTKJMDAUFBUUuQe5BgZERmlwH6egY2BmYGBgYGBITG5uMAxIMCHgYGBIS8/L5UBFTAyMHy7xsDIwMDAcFnX0cXJlYE0wJpcUFTCwMBwgIGBwSgltTiZgYHhCwMDQ3p5SUEJAwNjDAMDg0hSdkEJAwNjAQMDg0h2SJAzAwNjCwMDE09JakUJAwMDg3N+QWVRZnpGiYKhpaWlgmNKflKqQnBlcUlqbrGCZ15yflFBflFiSWoKAwMD1A4GBgYGXpf8EgX3xMw8BSMDVQYqg4jIKAUICxE+CDEESC4tKoMHJQODAIMCgwGDA0MAQyJDPcMChqMMbxjFGV0YSxlXMN5jEmMKYprAdIFZmDmSeSHzGxZLlg6WW6x6rK2s99gs2aaxfWMPZ9/NocTRxfGFM5HzApcj1xZuTe4FPFI8U3mFeCfxCfNN45fhXyygI7BD0FXwilCq0A/hXhEVkb2i4aJfxCaJG4lfkaiQlJM8JpUvLS19QqZMVl32llyfvIv8H4WtioVKekpvldeqFKiaqP5UO6jepRGqqaT5QeuA9iSdVF0rPUG9V/pHDBYY1hrFGNuayJsym740u2C+02KJ5QSrOutcmzjbQDtXe2sHY0cdJzVnJRcFV3k3BXdlD3VPXS8Tbxsfd99gvwT//ID6wIlBS4N3hVwMfRnOFCEXaRUVEV0RMzN2T9yDBLZE3aSw5IaUNak30zkyLDIzs+ZmX8xlz7PPryjYVPiuWLskq3RV2ZsK/cqSql01jLVedVPrHzbqNdU0n22VaytsP9op3VXUfbpXta+x/+5Em0mzJ/+dGj/t8AyNmf2zvs9JmHt6vvmCpYtEFrcu+bYsc/m9lSGrTq9xWbtvveWGbZtMNm/ZarJt+w6rnft3u+45uy9s/4ODOYd+Hmk/Jn58xUnrU+fOJJ/9dX7SRe1LR68kXv13fc5Nm1t379TfU75/4mHeY7En+59lvhB5efB1/lv5dxc+NH0y/fzq64Lv4T8Ffp360/rP8f9/AA0ADzT6lvFdAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAAlklEQVR42lSPrRLCQBCDv3R4EgQVOFDgcOXnjbA8GhIcpkyHB+F2bxFXjhKVTLI7ic4UvGKuwi4ANEUM4TyDCRoQQ2QWSjziz+jDaQVLJe6hr9FHplWJrvTmOl7N2jESQLBRfSUEVF2ZunCcjJPJGJmbAJq1DMcwjITTqbbaKpEwEsZBk7qwk2E4R/3tANjLOEn8Fn4GALnwOcATtrcZAAAAAElFTkSuQmCC') !important;
        padding-right: 16px !important;
    }

    .hovertable tr:hover td {
        background-color: #586069;
        color: white;
    }

    .hover_trs td {
        background-color: #586069;
        color: white;
    }

    #newnote {
        background-color: #4d565f;
    }

    .active-filter {
        background-color: #4d565f !important;
    }

    .tableseperator {
        background-color: #2d363f;
    }


    .maintable .trgrey td {
        background-color: #2d363f;
    }

    .standardpopup {
        background-color: #4d565f !important;
    }


    #maintableedit th {
        background-color: #3d4650;
    }

    /* REAL legacy */
    .bi_main03 {
        background-color: #21262b;
    }

    .newdialogwindow, .dialogwindow {
        color: #d7deea;
        border: 0px solid black;
        background-color: #3d4650;
    }

    .spangroup_marked {
        color: black;
    }

    .inputbackground {
        background-color: #4d565f;
    }

    [contenteditable="true"]:focus {
        background-image: none;
        background-color: #21262b;
        color: black;
    }

    .pgraphboxouternoheight2 {
        background-color: #3d4650;
        border: 1px solid #21262b;
    }

    .maintable .trheadline td {
        background-color: #293037;
    }

    #maintable .trheadline td {
        background-color: #293037;
    }

    #maintable .trwhiteitalic td {
        background-color: #31363b;
    }

    #alertwindow {
        background-color: #4d565f;
        color: #d7deea;
    }

    #alertwindow p {
        color: #d7deea;
    }

    .taskbackground {
        background-color: #31363b;
        border-color: #4d565f;
    }

    .taskticket {
        background-color: #31363b;
        border: 1px solid #4d565f;
    }

    .taskticketmenu {
        background-color: #4d565f;
        border: 0px solid #4d565f;
    }

    .thinlisttable {
        border: 1px solid #4d565f;

    }

    .warningmessage {
        background-color: yellow;
        color: black;
    }

    .accitem {
        background-color: #3d4650;
        color: #d7deea;
    }

    .newdialogwindow a {
        color: #d7deea;
    }

    .faitem, #curesultdiv {
        background-color: #3d4650;
        color: white;
    }

    .discount {
        color: black;
        background-color: #ff0;
    }

    .changedfield {
        background-color: #bfb;
        color: black;
    }

    .processinstancedisplay {
        background: #3d4650;
        color: #d7deea;
        border: 1px solid #4d565f;
    }

    .classinspector {
        background: #3d4650;
        color: #d7deea;
        border: 1px solid #4d565f;
    }

    .listing_items_link {
        color: white !important;
        background-color: #3d4650 !important;
    }

    .modem3bg {
        background-color: #31363b !important;
        border: 1px solid #3d4650 !important;
    }

    .pa_docwindow {
        background-color: #31363b !important;
        color: #d7deea;
    }

    .maintable .trsum td {
        background-color: #31363b;
        font-style: italic;
    }

    #maintable .trsum td {
        background-color: #31363b;
        font-style: italic;
    }

    .copy {
        content: url("/img/copy_dm.png");
    }

    .DragBox {
        background-color: #3d4650;
    }

    .OverDragBox {
        background-color: #4d565f;
    }

    .warncolor {
        color: #f99 !important;
    }

    .positivenumber {
        color: #9f9;
    }

    .legenddiv {
        background-color: #21262b !important;
        border-color: #293037 !important;
    }

    .select2-search input {
        background-color: #2b2c2b;
    }

    .select2-results {
        background-color: #2b2c2b;
    }

    .select2-selection__rendered, .select2-selection__rendered {
        background-color: #4d565f;
        text-align: left !important;
    }

    .select2-selection__choice {
        background-color: #4d565f !important;
    }

    .select2-container--default, .select2-selection--single, .select2-selection__rendered, .select2-selection--multiple {
        background-color: #4d565f !important;
        background: #4d565f !important;
        color: #fff !important;
    }

    .pa_tooltip {
        border: 1px solid #333;
        color: white;
        background-color: #586069;
    }

    .module-tag {
        background-color: #FFF !important;
        color: #000 !important;
    }

    .plaintable td {
        background-color: #31363b !important;
        color: #d7deea;
    }

    .plaintable a:visited, .plaintable a:link {
        color: #d7deea;
    }

    .plaintable_color {
        color: #d7deea;
    }

    .highlightrow td {
        background-color: #31363b;
    }

    .favoriteOverlayMenu {
        background-color: #4d565f;
        border: 1px solid #31363b;
    }

    .favoriteOverlayTop {
        background-color: #4d565f;
    }

    .popup, .popup::selection {
        background-color: #3d4650;
        border: 1px solid #444;
    }
}
